web-dev-qa-db-fr.com

Pourquoi est GPO Reporting d'outil A GPO Version Mismatch lorsque le GPO Version # s fait correspondre?

Des idées Pourquoi l'utilitaire de diagnostic de la stratégie de groupe GPOTOOL signalerait A GPO MisMatch entre deux contrôleurs de domaine si les numéros de version sont une correspondance?

Policy {GUID} 
Error: Version mismatch on dc1.domain.org, DS=65580, sysvol=65576
Friendly name: Default Domain Controllers Policy
Error: Version mismatch on dc2.domain.org, DS=65580, sysvol=65576
Details: 
------------------------------------------------------------
DC: dc1.domain.org
Friendly name: Default Domain Controllers Policy
Created: 7/7/2005 6:39:33 PM
Changed: 6/18/2012 12:33:04 PM
DS version:     1(user) 44(machine)
Sysvol version: 1(user) 40(machine)
Flags: 0 (user side enabled; machine side enabled)
User extensions: not found
Machine extensions: [{GUID}]
Functionality version: 2
------------------------------------------------------------
DC: dc2.domain.org
Friendly name: Default Domain Controllers Policy
Created: 7/7/2005 6:39:33 PM
Changed: 6/18/2012 12:33:05 PM
DS version:     1(user) 44(machine)
Sysvol version: 1(user) 40(machine)
Flags: 0 (user side enabled; machine side enabled)
User extensions: not found
Machine extensions: [{GUID}]
Functionality version: 2
5
SturdyErde

Votre problème est causé par une inadéquation de version entre la stratégie de contrôleurs de domaine par défaut DS et des portions SYSVOL, pas une différence entre les deux DC. Votre DC est en synchronisation, mais les données qu'ils sont La synchronisation est hors de synchronisation avec elle-même. Ce que vous voulez faire est de définir le DS et SYSVOL sur la même valeur. Pour être sûr, accédez à 1(user) 45(machine). le Valeur que vous devrez entrer est 65581 (1 * 65536 + 45 = 65581). Ouvrez \\domainname\sysvol\policies\{Default_Domain_Controllers_Policy_GUID}\gpt.ini dans le bloc-notes et définissez Version=65581. Utilisez maintenant Adsiedit, Adexplorer, Adfind, etc. , parcourez CN={Default_Domain_Controllers_Policy_GUID},CN=Policies,CN=System,DC=domainname et définissez versionnumber _ sur 65581. Passez maintenant au déjeuner et que vous reviendrez, exécutez à nouveau GPOTOOL. Toutes les numéros de version doivent signaler comme 65581 et/ou 1(user) 45(machine).

Remarque: la stratégie de contrôleurs de domaine par défaut GUID est toujours 6ac1786c-016f-11d2-945f-00c04fb984f9, mais vérifiez que c'est en fait le GUID au cas où une personne renommée et créé un autre GPO avec le même nom.

Voir les pages suivantes pour plus de descriptions détaillées de la manière dont GPO Les numéros de version sont calculées et utilisées:

4
charleswj81

Cela ne dis pas que vos DC sont une version incompatible, cela disait que l'une de vos logicielles est.

Vous devez suivre la stratégie fautive ("Politique {GUID}") et sous le dossier SYSVOL de votre DCS, accédez à son dossier (\ DC\sysvol\Strairds {guid}) et vérifiez le fichier gpt.ini sur les deux DCS. Il aura un numéro de version en elle et le numéro de version sera différent sur les différents DCS - il s'agit de la désactivation de la version qui se plaint.

La correction dépend de ce qui a provoqué exactement l'inadéquation - vous pourrez peut-être le corriger en modifiant le numéro de version dans Gpt.ini, ou peut résulter d'un problème plus important, tels que les répliques de répliques de FRS défectueux, les paramètres ACL sur ce GPO particulier , etc. Pas assez d'informations pour déterminer quelle est exactement la cause de la racine.

1
HopelessN00b

Je chercherais à voir si votre environnement d'annonce est dans un état d'enveloppe de journal. Nous avons rencontré ce même problème et avons dû faire une restauration D2 pour récupérer tout l'état cohérent de GPO.

0
flip